raindrops 0.8.1 - compatibility fixesv0.8.1
authorEric Wong <normalperson@yhbt.net>
Sat, 12 May 2012 05:44:12 +0000 (05:44 +0000)
committerEric Wong <normalperson@yhbt.net>
Sat, 12 May 2012 05:44:12 +0000 (05:44 +0000)
commit127ec6d6c733a717df79084861b0d7f36c327154
tree33fd25ea0218cf18ee9e087783812a94666f9926
parentce0b50e0a6aed669a59ee31ab3667b4eb34529de
raindrops 0.8.1 - compatibility fixes

This release fixes a build problem found under a current SmartOS.  This
release also runs successfully on FreeBSD 9.0 under both x86-64 and
i386.

There are also documentation updates from Aman Gupta and a test suite
fix from Jeremy Evans for OpenBSD.

raindrops fully supports unicorn on recent versions of FreeBSD, OpenBSD,
SmartOS, and possibly other Free Software systems.  Portability reports
and fixes for Free Software systems is greatly appreciated at
raindrops@librelist.org

Non-Free systems will never be supported.

raindrops requires the Linux 2.6.18 or later for full functionality
(which unicorn does not require).  Future releases will take advantage
of the unix_diag functionality found in the Linux 3.3 (and later)
kernels.
GIT-VERSION-GEN